Package org.gradle.language.cpp

# Interface CppApplication

All Superinterfaces:
  `ComponentWithBinaries`, `ComponentWithDependencies`, `ComponentWithTargetMachines`, `CppComponent`, `Named`, `ProductionComponent`, `ProductionCppComponent`, `SoftwareComponent`

public interface CppApplication extends ProductionCppComponent
Configuration for a C++ application, defining the source files that make up the application plus other settings.

An instance of this type is added as a project extension by the C++ Application Plugin.

Since:
  4.2

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from interface org.gradle.api.Named

  `Named.Namer`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Provider<? extends CppExecutable>`
  `getDevelopmentBinary()`
  Returns the binary of the component to use as the default for development.

  ### Methods inherited from interface org.gradle.language.ComponentWithDependencies

  `getDependencies`

  ### Methods inherited from interface org.gradle.language.ComponentWithTargetMachines

  `getTargetMachines`

  ### Methods inherited from interface org.gradle.language.cpp.CppComponent

  `getBaseName, getBinaries, getCppSource, getHeaderFiles, getImplementationDependencies, getPrivateHeaderDirs, getPrivateHeaders, getSource, privateHeaders, source`

  ### Methods inherited from interface org.gradle.api.Named

  `getName`

- ## Method Details

  - ### getDevelopmentBinary

    Provider<? extends CppExecutable> getDevelopmentBinary()
    Returns the binary of the component to use as the default for development.
    Specified by:
      `getDevelopmentBinary` in interface `ProductionComponent`
    Specified by:
      `getDevelopmentBinary` in interface `ProductionCppComponent`